org.eclipse.ease.ui.scripts.ui

## Class ScriptPopup

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractPopupItem
  - - org.eclipse.ease.ui.scripts.ui.ScriptPopup

    public class ScriptPopup
    extends AbstractPopupItem

### Constructor Summary

Constructors
Constructor and Description
`ScriptPopup(IScript script)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CommandContributionItemParameter` `getContributionParameter()`
`java.lang.String` `getDisplayName()`

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractPopupItem

`getContribution, isVisible, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptPopup

    public ScriptPopup(IScript script)

### Method Detail

#### getContributionParameter

    public CommandContributionItemParameter getContributionParameter()

#### getDisplayName

    public java.lang.String getDisplayName()

Specified by:
  `getDisplayName` in class `AbstractPopupItem`